Subject: [rohc] FN designed for tools, or vice versa?

From: "Lars-Erik Jonsson (LU/EAB)" <[email-masked]>
Date: Fri, 1 Oct 2004 09:25:10 +0200

> ]Argh. I totally agree that tools are helpful.
> ]My point is that they don't belong to specs!
> ]So the stuff needed for tools can and should be left for the 
> input to ]the
> tools or coded in the tools themselves.
> 
> Ah, OK, so is the sticking point this:
> 
> That you think it is possible to have tools without the 
> spec providing the syntax they need to work on, whereas
> I (and I assume Carsten) don't?

I think we should do our best not to let the use of tools
affect the specification, that must be the last alternative
and only used when really needed. 

I am not sure about annotations, but I still have not seen
any convincing argument why we would need to define anything
like the "external method" thing. 

What worries me with this discussion is that there is not
even a clear view of what an "external method" would be.
As with annotations, we seem to be discussing a moving
target. As written in the current FN, it was actually
anything defined outside of the FN, while we have also
ideas saying it is anything defined outside FN/FN-spec,
or any method not defined formally in FN/FN-Spec.

I am still waiting for an answer from Carsten regarding
formal methods defined in an FN-spec. I believe that
should be the "normal" way to extend the FN for new
profiles.

/L-E

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc